//
//  MCHelperTool.h
//  MemoryCell
//
//  Created by Quentin Carnicelli on 9/8/06.
//  Copyright 2006 Rogue Amoeba Software, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define MCHelperPortNameFormat @"com.rogueamoeba.MemoryCell.MCHelperTool.%d"
#define MCHelperToolFilePermissions 02755
#define MCHelperToolFileGroupOwner "procview"

@protocol MCHelperToolInterface <NSObject>
- (NSData*)processMemoryStatsForPid: (pid_t)pid lastStats: (NSData*)lastStats;
- (void)terminate;
@end

@interface MCHelperTool : NSObject <MCHelperToolInterface>
{
	NSTimeInterval	_lastRequestTimestamp;
}

@end
