//
//  MCAboutBox.m
//  MemoryCell
//
//  Created by Quentin Carnicelli on 1/4/05.
//  Copyright 2005 Rogue Amoeba Software, LLC. All rights reserved.
//

#import "MCAboutBox.h"


@implementation MCAboutBox

static MCAboutBox* _sharedAboutBox = nil;

+ (MCAboutBox*)sharedAboutBox
{
	if( _sharedAboutBox == nil )
		_sharedAboutBox = [[self alloc] init];
	return _sharedAboutBox;
}

- (id)init
{
	return [self initWithWindowNibName: @"AboutBox"];
}

- (void)windowDidLoad
{
	NSBundle* bundle = [NSBundle bundleForClass: [self class]];
	NSString* path = [bundle pathForResource: @"ReadMe" ofType: @"rtfd"];

	if( path )
		[mReadMeText readRTFDFromFile: path];
}

@end
